Package org.apache.torque.templates.model

## Class Table

- java.lang.Object
- - org.apache.torque.templates.model.Table

-     public class Table
      extends Object

  The model of the table tag in a Torque schema file.
  Version:
    $Id: $

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Boolean` | `_abstract` | Whether the data object class is abstract.
    `String` | `_interface` | Specifies an interface that the generated data object class implements.
    `String` | `baseBeanClassName` | The class name of the data object bean base class.
    `String` | `baseBeanPackage` | The package of the data object bean base class.
    `String` | `baseClass` | The base class of the data object class.
    `String` | `baseDbObjectClassName` | The class name of the data object base class.
    `String` | `baseDbObjectPackage` | The package of the data object base class.
    `String` | `baseManagerClassName` | The class name of the manager base class.
    `String` | `baseManagerPackage` | The package of the manager base class.
    `String` | `basePeer` | The base class of the peer class.
    `String` | `basePeerClassName` | The class name of the peer static wrapper base class.
    `String` | `basePeerImplClassName` | The class name of the peer implementation base class.
    `String` | `basePeerPackage` | The package of the peer base class.
    `String` | `baseRecordMapperClassName` | The class name of the record mapper base class.
    `String` | `baseRecordMapperPackage` | The package of the record mapper base class.
    `String` | `beanClassName` | The class name of the data object bean class.
    `String` | `beanPackage` | The package of the data object bean class.
    `List<Column>` | `columnList` | The columns of this table.
    `String` | `dbObjectClassName` | The class name of the data object class.
    `String` | `dbObjectPackage` | The package of the data object class.
    `String` | `description` | A description of the table.
    `List<ForeignKey>` | `foreignKeyList` | The foreign keys of this table.
    `String` | `idMethod` | The id method to use.
    `List<IdMethodParameter>` | `idMethodParameterList` | The id method parameters for this table.
    `List<Index>` | `indexList` | The index list for this table.
    `String` | `javaName` | The unqualified name of the data object class.
    `String` | `managerClassName` | The class name of the manager class.
    `String` | `managerPackage` | The package of the manager class.
    `String` | `name` | The table's name.
    `String` | `optimisticLockingMode` | The optimistic Locking mode to use.
    `List<Option>` | `optionList` | The options for this table.
    `Database` | `parent` | The database to which this table belongs.
    `String` | `peerClassName` | The class name of the peer static wrapper class.
    `String` | `peerImplClassName` | The class name of the peer implementation class.
    `String` | `peerInterface` | The interface for the peer class.
    `String` | `peerPackage` | The package of the peer class.
    `String` | `primaryKeyColumnNames` | The attribute contains all primary key columns in a comma-separated String.
    `String` | `primaryKeyConstraintName` | The name of the constraint defining the primary key of a table.
    `List<Column>` | `primaryKeyList` | Contains all primary key columns of the table.
    `String` | `recordMapperClassName` | The class name of the record mapper class.
    `String` | `recordMapperPackage` | The package of the record mapper class.
    `Boolean` | `saveMethodsInDbObjects` | Whether the save method resides in the data objects (default is it is in the peer).
    `String` | `sequenceName` | The name of the sequence from which the primary key of the table is generated.
    `Boolean` | `skipSql` | Whether sql generation should be skipped.
    `List<Unique>` | `uniqueList` | The list of unique indices for this table.
    `String` | `unqualifiedName` | The unqualified part of the table name, omitting schema and database information.
    `Boolean` | `useManagers` | Override flag whether manager classes are used in this table.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Table()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### parent

          public Database parent

      The database to which this table belongs.

    - #### optionList

          public List<Option> optionList

      The options for this table.

    - #### columnList

          public List<Column> columnList

      The columns of this table.

    - #### foreignKeyList

          public List<ForeignKey> foreignKeyList

      The foreign keys of this table.

    - #### indexList

          public List<Index> indexList

      The index list for this table.

    - #### uniqueList

          public List<Unique> uniqueList

      The list of unique indices for this table.

    - #### idMethodParameterList

          public List<IdMethodParameter> idMethodParameterList

      The id method parameters for this table.

    - #### name

          public String name

      The table's name.

    - #### _interface

          public String _interface

      Specifies an interface that the generated data object class implements. If this is a fully qualified class name (i. e. the string contains dots), the interface will simply be implemented by the data object class. If the interface is a simple class name (without dots), an empty interface file will be generated in the data object package. When this attribute is used, all peer methods that normally would return the data object type will now return the interface type.

    - #### baseClass

          public String baseClass

      The base class of the data object class.

    - #### basePeer

          public String basePeer

      The base class of the peer class.

    - #### idMethod

          public String idMethod

      The id method to use. Valid values are "idbroker", "native", "none" or null.

    - #### _abstract

          public Boolean _abstract

      Whether the data object class is abstract.

    - #### javaName

          public String javaName

      The unqualified name of the data object class. If null, the class name will be determined from the name attribute.

    - #### skipSql

          public Boolean skipSql

      Whether sql generation should be skipped.

    - #### description

          public String description

      A description of the table.

    - #### primaryKeyList

          public List<Column> primaryKeyList

      Contains all primary key columns of the table.

    - #### dbObjectClassName

          public String dbObjectClassName

      The class name of the data object class.

    - #### baseDbObjectClassName

          public String baseDbObjectClassName

      The class name of the data object base class.

    - #### peerClassName

          public String peerClassName

      The class name of the peer static wrapper class.

    - #### basePeerClassName

          public String basePeerClassName

      The class name of the peer static wrapper base class.

    - #### peerImplClassName

          public String peerImplClassName

      The class name of the peer implementation class.

    - #### basePeerImplClassName

          public String basePeerImplClassName

      The class name of the peer implementation base class.

    - #### beanClassName

          public String beanClassName

      The class name of the data object bean class.

    - #### baseBeanClassName

          public String baseBeanClassName

      The class name of the data object bean base class.

    - #### managerClassName

          public String managerClassName

      The class name of the manager class.

    - #### baseManagerClassName

          public String baseManagerClassName

      The class name of the manager base class.

    - #### recordMapperClassName

          public String recordMapperClassName

      The class name of the record mapper class.

    - #### baseRecordMapperClassName

          public String baseRecordMapperClassName

      The class name of the record mapper base class.

    - #### dbObjectPackage

          public String dbObjectPackage

      The package of the data object class.

    - #### baseDbObjectPackage

          public String baseDbObjectPackage

      The package of the data object base class.

    - #### peerPackage

          public String peerPackage

      The package of the peer class.

    - #### basePeerPackage

          public String basePeerPackage

      The package of the peer base class.

    - #### recordMapperPackage

          public String recordMapperPackage

      The package of the record mapper class.

    - #### baseRecordMapperPackage

          public String baseRecordMapperPackage

      The package of the record mapper base class.

    - #### managerPackage

          public String managerPackage

      The package of the manager class.

    - #### baseManagerPackage

          public String baseManagerPackage

      The package of the manager base class.

    - #### beanPackage

          public String beanPackage

      The package of the data object bean class.

    - #### baseBeanPackage

          public String baseBeanPackage

      The package of the data object bean base class.

    - #### optimisticLockingMode

          public String optimisticLockingMode

      The optimistic Locking mode to use. Valid values are "selectForUpdate", "simpleSelect".

    - #### useManagers

          public Boolean useManagers

      Override flag whether manager classes are used in this table.

    - #### saveMethodsInDbObjects

          public Boolean saveMethodsInDbObjects

      Whether the save method resides in the data objects (default is it is in the peer).

    - #### peerInterface

          public String peerInterface

      The interface for the peer class.

    - #### unqualifiedName

          public String unqualifiedName

      The unqualified part of the table name, omitting schema and database information.

    - #### primaryKeyConstraintName

          public String primaryKeyConstraintName

      The name of the constraint defining the primary key of a table.

    - #### sequenceName

          public String sequenceName

      The name of the sequence from which the primary key of the table is generated.

    - #### primaryKeyColumnNames

          public String primaryKeyColumnNames

      The attribute contains all primary key columns in a comma-separated String.

  - ### Constructor Detail

    - #### Table

          public Table()

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`